Schedule a query/card
curl --request POST \
--url https://api.example.com/api/query/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"cron": "<string>",
"card_url": "<string>",
"query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/query/schedule"
payload = {
"name": "<string>",
"cron": "<string>",
"card_url": "<string>",
"query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
cron: '<string>',
card_url: '<string>',
query_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/query/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flow_url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Ask
Schedule a query/card
Schedules a query/card to run on a specified cron schedule.
POST
/
api
/
query
/
schedule
Schedule a query/card
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
A user-defined name for the scheduled query job.
A cron expression defining when or how often the query should run.
URL of the card or visualization you want to schedule.
Unique ID of the query you want to schedule.
Was this page helpful?
⌘I

